<?php
/**
 * auth_base.php - Base class for authentication.
 *
 * @author $Author: dtong $
 * @version $Id: auth_base.php,v 1.5 2012/05/04 10:56:55 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/
abstract class auth_base {
   // protected $config = NULL;
   protected $CI = NULL;
   // Tell the caller magic password received.
   public $got_magic = FALSE;
   // Tell the caller to update user supplied password to local DB, for caching remote password.
   public $update_db_password = FALSE;

   public function __construct() {
   	$this->CI = &get_instance();
   }

   // TODO: Take this out and make sure it doesn't break any code. This sets the CI config object which is not necessary.
   public function setconfig($obj) {
      // $this->config = $obj;
   }

   public abstract function authenticate($username, $password, $dbpassword);
}
