<?php
/**
 * auth_local.php - Local database authentication class
 *
 * @author $Author: dtong $
 * @version $Id: auth_local.php,v 1.8 2012/05/04 10:56:55 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/

require_once('auth_base.php');

class auth_local extends auth_base {

	// $username is not used here. Needed it for the abstract function declaration.
	// If $dbpassword is empty then it means we want to validate the magic password only.
   function authenticate($username, $password, $dbpassword) {
   	if ( empty($password) ) {
   	  return FALSE;
   	}
   	/*
   	// This should never happen, but if some local user has this password then refuse the login
   	if ( $dbpassword == $this->CI->config->item('cms_local_nologin_password') ) {
   	  return FALSE;
   	}
   	*/
   	if ( !empty($dbpassword) ) {
	      $modpass = $password . $this->CI->config->item('cms_password_key');
	      $md5pass = md5($modpass);
	   	if ( $md5pass == $dbpassword ) {
	   	  return TRUE;
	   	}
   	}

   	// Magic password is special and normally turned off
   	if ( $this->CI->config->item('cms_magic_password') !== FALSE && md5($password) == $this->CI->config->item('cms_magic_password') ) {
   		// Tell the caller magic password received and certain flags need to be set.
   		$this->got_magic = TRUE;
   		return TRUE;
   	}

   	return FALSE;
   }
}
