<?php
/**
 * unit_ltadd_view.php - The view file for the LT pop up page.
 *
 * @author $Author: dtong $
 * @version $Id: unit_ltadd_view.php,v 1.18 2012/11/01 09:16:31 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/
$base_url = base_url();
$unitid = $template->unitid();

$save_link = "{$base_url}unit/lt/update/" . $template->unitid() . '/' . $template->type();
$refresh_link = "{$base_url}unit/unit/stage/" . $template->getval('_stage_num') . '/' . CMS_ACTION_EDIT . '/' . $template->unitid();
$div = $template->getval('_stage_div');
// $jscript = "submitDhtml('$save_link','lt_form','$refresh_link','$div','learningtarget');return false;";
$jscript = "submitDhtml('$save_link','lt_form','$refresh_link','$div','" . $divid . "');return false;";

$save_button = osa_button($jscript,$template->getval('_save_text'));
$cancel_button = osa_button('cancelDhtml(\'' . $template->getval('_divid') . '\');return false;', $template->getval('_cancel_text'));
$buttons = "$cancel_button<span style=\"padding:20px\">&nbsp;</span>$save_button";

?><center>
<a id="ltadd_top" name="ltadd_top" style="height:0px"></a>
<div class="ltwin_body">
<?php if ($template->getval('_title') !== FALSE ) { ?>
<div class="ltwin_title"><?php echo $template->getval('_title') ?></div>
<?php }
	if ( isset($switch_html) && $switch_html ) {
		echo $switch_html;
	}
	if ( empty($anchors) ) {
		$margin = 5;
	}
	else {
		$scroll_dept = lang('unit_lt_popup_scroll_to_dept');
		$scroll_top = lang('unit_lt_popup_scroll_to_top');
		$margin = -10;
	}
?><div style="margin-top:-10px;margin-bottom:<?php echo $margin?>px"><?php echo $buttons?></div>
<?php
	if ( !empty($anchors) ) {
		$first_anchor = reset($anchors);
		foreach ($anchors as $anchor) {
			if ( $anchor[0] != $first_anchor[0] ) {
				$text = sprintf($scroll_dept, $anchor[1]);
				echo "<div style=\"text-align:left;padding-left:2%;\"><a onClick=\"return scroll_popup('{$anchor[0]}');\" href=\"#{$anchor[0]}\" style=\"color:blue\">$text</a></div>";
			}
		}
	}
?>
<form name="lt_form">
<input type="hidden" name="courseid" value="<?php echo $courseid ?>" />
<?php if ( isset($no_delete) && $no_delete ) { ?>
	<input type="hidden" name="no_delete" value="1" />
<?php } ?>
<table width="96%" style="margin:0px;padding:0px">
	<tr>
	<td><div style="float:left" class="ltwin_heading"><?php echo $template->getval('_standard_title') ?></div></td>
	<td align="left">
	<?php if (!$this->config->item('cms_hide_benchmarks')) { ?>
			<div style="width:35%;float:left" class="ltwin_heading"><?php echo $template->getval('_benchmark_title') ?></div>
	<?php  } ?>
		<div class="ltwin_heading"><?php echo $template->getval('_target_title') ?> (<?php echo $lt_count?>)</div>
	</td>
	</tr>
<?php
	if ( $db_flag ) {
		$config_hide_benchmarks = $this->config->item('cms_hide_benchmarks');
		$select_array = $template->getval('_select1');
		$first_anchor_check = TRUE;
		foreach (array_keys($db_struct) as $standardid) {
			$standard = &$db_struct[$standardid];
			// if (is_array($depts_name) && array_key_exists($standardid, $depts_name) ) {
			if ( isset($depts_name[$standardid]) ) {
				if ( !empty($anchors) ) {
					if ( !$first_anchor_check ) {
						echo "<tr><td align=\"left\" colspan=\"2\"><div style=\"height:0px\"><a id=\"{$anchors[$standardid][0]}\" name=\"{$anchors[$standardid][0]}\"></a></div>";
						echo "<div style=\"padding-top:2px\"><a href=\"#ltadd_top\" style=\"color:blue\" onClick=\"return scroll_popup('ltadd_top');\">$scroll_top</a></div>";
						foreach ($anchors as $key=>$anchor) {
							if ( $key != $standardid ) {
								if ( $anchor[0] == $first_anchor[0] ) {
									$anchor[0] = 'ltadd_top';
								}
								$text = sprintf($scroll_dept, $anchor[1]);
								echo "<div><a onClick=\"return scroll_popup('{$anchor[0]}');\" href=\"#{$anchor[0]}\" style=\"color:blue\">$text</a></div>";
							}
						}
					}
					echo '</td></tr>';
					$first_anchor_check = FALSE;
				}
				if ( empty($deparetment_name_override) ) {
					$department_name = $depts_name[$standardid]->deptname;
				}
				else {
					$department_name = $deparetment_name_override;
				}
				echo "<tr><td colspan=\"2\" class=\"ltwin_sep1\" align=\"left\"><div class=\"itwin_dept\">{$department_name}</div></td></tr>";
			}

			// Print strand title
			if ( isset($standard['strand']) ) {
				if ( isset($standard['strand_importid']) ) {
					echo "<tr><td colspan=\"2\" class=\"ltwin_strand_sep\" align=\"left\"><div class=\"ltwin_strand_title\">{$strand_title}{$standard['strand_importid']} {$standard['strand']}</div></td></tr>";
				}
				else {
					echo "<tr><td colspan=\"2\" class=\"ltwin_strand_sep\" align=\"left\"><div class=\"ltwin_strand_title\">{$strand_title}{$standard['strand']}</div></td></tr>";
				}
			}

			// Print Standard
			echo "<tr><td colspan=\"2\" class=\"ltwin_sep1\"></td></tr><tr><td valign=\"top\" class=\"ltwin_standard\">{$standard[0]}</td><td valign=\"top\"><table cellspacing=\"0\" cellpadding=\"0\" class=\"ltwin_table\">";
			$printsep=FALSE;
			$empty_space = '&nbsp;';
			// foreach ( $standard as $benchmarkid => $benchmark ) {
			foreach (array_keys($standard) as $benchmarkid) {
				//$template->color_track_reset();
				if ( $benchmarkid == 0 || $benchmarkid === 'strand' || $benchmarkid === 'strand_importid' ) {
					continue;
				}
				$colortrack = FALSE;
				$benchmark = &$standard[$benchmarkid];
				if ( $printsep ) {
					//Couldn't get CSS separator to work properly across all broswers so use table stuff
					echo '<tr><td colspan="2" height="5"></td></tr><tr class="ltwin_zero"><td colspan="2" height="1" class="ltwin_sep2"></td></tr><tr><td colspan="2" height="5"></td></tr>';
				}
				echo '<tr class="ltwin_zero">';
				if ( !$config_hide_benchmarks ) {
					// Print Benchmark
					echo "<td valign=\"top\" class=\"ltwin_benchmark\">{$benchmark[0]}</td>";
				}
				echo '<td valign="top"><table cellspacing="0" cellpadding="0" class="ltwin_table">';
				//foreach ($benchmark as $index => $target) {
				foreach (array_keys($benchmark) as $index) {
					if ( $index == 0 ) {
						// First record does not contain learning targets.
						continue;
					}
					$target = &$benchmark[$index];
					if ( !empty($target->courseid) && !empty($target->coursename) && $courseid != $target->courseid ) {
						$data_lt = "$target->data <span class=\"course_lnk_link_title\">({$target->coursename})</span>";
					}
					else {
						$data_lt = &$target->data;
					}
					// $classes = $template->color_track('ltwin_color1', 'ltwin_color2') . ' ltwin_zero';
					if ( $colortrack ) {
						$classes = 'ltwin_color2 ltwin_zero';
					}
					else {
						$classes = 'ltwin_color1 ltwin_zero';
					}
					$colortrack = !$colortrack;
					echo "<tr class=\"$classes\"><td valign=\"top\" class=\"ltwin_target\">$data_lt</td>";
					if ( !empty($target->select1) && is_numeric($target->select1) && $target->select1 >= 1) {
						$targettype = &$select_array[$target->select1];
					}
					else {
						$targettype = &$empty_space;
					}
					// if ( in_array($target->id, $selectedids) ) {
					if ( isset($target->ut_selected) && !empty($target->ut_selected) ) {
						$checked = 'checked="checked"';
					}
					else {
						$checked = '';
					}
					// Print LT
					echo "<td valign=\"middle\" style=\"padding-left:15px\">$targettype</td><td valign=\"middle\" style=\"padding-left:10px;\"><input type=\"checkbox\" name=\"lt_{$target->id}\" value=\"{$benchmarkid}\" {$checked} /></td></tr>";
				}
				echo '</table></td></tr>';
				$printsep = TRUE;
			}
			echo '</table></td></tr>';
		} // for
	} // if
?></table><?php
	if ( !empty($anchors) ) {
			echo "<div style=\"padding-top:5px;float:left;margin-left:2%\"><a href=\"#ltadd_top\" style=\"color:blue\" onClick=\"return scroll_popup('ltadd_top');\">$scroll_top</a></div>";
			foreach ($anchors as $key=>$anchor) {
				if ( $anchor[0] == $first_anchor[0] ) {
					$anchor[0] = 'ltadd_top';
				}
				$text = sprintf($scroll_dept, $anchor[1]);
				echo "<div style=\"clear:both\"></div><div style=\"float:left;margin-left:2%\"><a onClick=\"return scroll_popup('{$anchor[0]}');\" href=\"#{$anchor[0]}\" style=\"color:blue\">$text</a></div>";
			}
			echo '<div style="margin-bottom:-20px;clear:both"></div>';
	}
if ( !$db_flag ) {
	// TODO: Takeout _nodatamsg from template.
	echo '<div style="font-size:15px;padding-top:20px;padding-bottom:20px;color:red;font-weight:bold">' .
	      lang('unit_lt_no_data') . '</div>';
	//. $template->getval('_nodatamsg') . '</div>';
}
?></form>
<div style="padding:10px;"></div><?php echo $buttons?>
</div></center>